Package weka.gui.explorer

# Interface Explorer.ExplorerPanel

All Known Implementing Classes:
  `AssociationsPanel`, `AttributeSelectionPanel`, `ClassifierPanel`, `ClustererPanel`, `PreprocessPanel`, `VisualizePanel`

Enclosing class:
  `Explorer`

public static interface Explorer.ExplorerPanel
A common interface for panels to be displayed in the Explorer

Version:
  $Revision: 10438 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`Explorer`
`getExplorer()`
returns the parent Explorer frame
`String`
`getTabTitle()`
Returns the title for the tab in the Explorer
`String`
`getTabTitleToolTip()`
Returns the tooltip for the tab in the Explorer
`void`
`setExplorer(Explorer parent)`
Sets the Explorer to use as parent frame (used for sending notifications about changes in the data)
`void`
`setInstances(Instances inst)`
Tells the panel to use a new set of instances.

## Method Details

### setExplorer

void setExplorer(Explorer parent)
Sets the Explorer to use as parent frame (used for sending notifications about changes in the data)

Parameters:
  `parent` - the parent frame

### getExplorer

Explorer getExplorer()
returns the parent Explorer frame

Returns:
  the parent

### setInstances

void setInstances(Instances inst)
Tells the panel to use a new set of instances.

Parameters:
  `inst` - a set of Instances

### getTabTitle

String getTabTitle()
Returns the title for the tab in the Explorer

Returns:
  the title of this tab

### getTabTitleToolTip

String getTabTitleToolTip()
Returns the tooltip for the tab in the Explorer

Returns:
  the tooltip of this tab